--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns an array of characters.
- !ruby/struct:SM::Flow::VERB 
  body: "  &quot;abc\\n123&quot;.lines  #=&gt; [&quot;abc&quot;,&quot;123&quot;]\n"
- !ruby/struct:SM::Flow::P 
  body: Note, this is not 100% compatible with 1.8.7+ which returns an enumerator instead of an array.
full_name: String#lines
is_singleton: false
name: lines
params: (&blk)
visibility: public
